{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "DatatourismeWebAppBundle:email:_layout.html.twig" %}
{% trans_default_domain 'emails' %}

{% block subject -%}
    {{ "subject.account_created" | trans | raw }}
{%- endblock %}

{% block body %}
    {% set url = url('security.reset_password.process', {email: recipient.email, timestamp: timestamp, bcrypt: bcrypt}) %}
    {% set url_reset = url('security.reset_password') %}

    <p>{{ recipient.fullName }},</p>

    <p>{{ "text.account_created" | trans }} :</p>

    <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
        <tbody>
        <tr>
            <td align="left">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tbody>
                    <tr>
                        <td> <a href="{{ url }}" target="_blank">{{ "btn.password_set" | trans }}</a> </td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        </tbody>
    </table>

    <p>{{ "text.perishable_link" | trans({"%time%": expiration / 60 }) }} :</p>

    <p><a href="{{ url_reset }}">{{ url_reset }}</a></p>

    <p>{{ "text.account_created_warning" | trans }}</p>

    <p>{{ "text.thanks_understanding" | trans }},</p>

    <p>{{ "text.signature" | trans }}</p>
{% endblock %}
